## Apache Zeta Components Manual :: Docs For Class ezcFeedImageElement

### Feed::ezcFeedImageElement

### Class ezcFeedImageElement

Class defining an image element.

Source for this file: /Feed/src/structs/image.php

    ezcFeedElement
       |
       --ezcFeedImageElement

Version: | //autogentag//

### Properties

string | read/write | `$about` An identifier for the image (usually the same value as $link). Used only by RSS1.
string | read/write | `$description` A description for the image.
int | read/write | `$height` The height of the image in pixels.
string | read/write | `$link` The URL where the image is stored.
string | read/write | `$title` The title of the image.
string | read/write | `$url` The URL the image points at.
int | read/write | `$width` The width of the image in pixels.

### Member Variables

public string | `$about` The identifier of the image.
public string | `$description` A description for the image.
public int | `$height` The height of the image in pixels.
public string | `$link` The URL to the image.
public string | `$title` The title for the image.
public string | `$url` The URL the image points at.
public int | `$width` The width of the image in pixels.

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

### Method Summary

public string | `__toString( )` Returns the link attribute.

### Methods

#### __toString

string __toString( )

Returns the link attribute.

Documentation generated by phpDocumentor 1.4.3